## ros-foxy-moveit-ros-visualization 2.2.3

=== motion_planning_rviz_plugin/CMakeLists.txt ===
set(HEADERS
  include/moveit/motion_planning_rviz_plugin/motion_planning_display.h
  include/moveit/motion_planning_rviz_plugin/motion_planning_frame.h
  include/moveit/motion_planning_rviz_plugin/motion_planning_frame_joints_widget.h
  include/moveit/motion_planning_rviz_plugin/motion_planning_param_widget.h
  include/moveit/motion_planning_rviz_plugin/interactive_marker_display.h
)
qt5_wrap_ui(UIC_FILES
  src/ui/motion_planning_rviz_plugin_frame.ui
  src/ui/motion_planning_rviz_plugin_frame_joints.ui
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# Plugin Source
set(SOURCE_FILES
  src/motion_planning_frame.cpp
  src/motion_planning_frame_context.cpp
  src/motion_planning_frame_planning.cpp
  src/motion_planning_frame_objects.cpp
  src/motion_planning_frame_scenes.cpp
  src/motion_planning_frame_states.cpp
  src/motion_planning_frame_joints_widget.cpp
  src/motion_planning_display.cpp
  src/motion_planning_frame_manipulation.cpp
  src/motion_planning_param_widget.cpp
  src/interactive_marker_display.cpp
  src/icons/icons.qrc
)

set(MOVEIT_LIB_NAME moveit_motion_planning_rviz_plugin)
add_library(${MOVEIT_LIB_NAME}_core SHARED ${SOURCE_FILES} ${HEADERS} ${UIC_FILES})
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}_core moveit_rviz_plugin_render_tools moveit_planning_scene_rviz_plugin)
ament_target_dependencies(${MOVEIT_LIB_NAME}_core
  Boost
  moveit_ros_robot_interaction
  moveit_ros_planning_interface
  moveit_ros_warehouse
  rviz2
  rviz_ogre_vendor
  Qt5
  pluginlib
  rviz_ogre_vendor
)
target_include_directories(${MOVEIT_LIB_NAME}_core PRIVATE "${OGRE_PREFIX_DIR}/include")

add_library(${MOVEIT_LIB_NAME} SHARED src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core)
ament_target_dependencies(${MOVEIT_LIB_NAME}
  Boost
  moveit_ros_robot_interaction
  moveit_ros_warehouse
  pluginlib
  rviz_ogre_vendor
)
target_include_directories(${MOVEIT_LIB_NAME} PRIVATE "${OGRE_PREFIX_DIR}/include")

install(DIRECTORY include/ DESTINATION include)

=== planning_scene_rviz_plugin/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_planning_scene_rviz_plugin)

add_library(${MOVEIT_LIB_NAME}_core SHARED
  src/planning_scene_display.cpp
  include/moveit/planning_scene_rviz_plugin/planning_scene_display.h)
include(GenerateExportHeader)
generate_export_header(${MOVEIT_LIB_NAME}_core)
target_include_directories(${MOVEIT_LIB_NAME}_core PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}_core moveit_rviz_plugin_render_tools)
ament_target_dependencies(${MOVEIT_LIB_NAME}_core
    rclcpp
    rviz2
    moveit_ros_planning_interface
    moveit_ros_planning
    moveit_msgs
    pluginlib
    Boost
    rviz_ogre_vendor
)
target_include_directories(${MOVEIT_LIB_NAME}_core PRIVATE "${OGRE_PREFIX_DIR}/include")

add_library(${MOVEIT_LIB_NAME} SHARED src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core  Qt5::Widgets)
ament_target_dependencies(${MOVEIT_LIB_NAME}
    pluginlib
    rviz_ogre_vendor
)
target_include_directories(${MOVEIT_LIB_NAME} PRIVATE "${OGRE_PREFIX_DIR}/include")

install(DIRECTORY include/ DESTINATION include)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MOVEIT_LIB_NAME}_core_export.h DESTINATION include)

=== robot_state_rviz_plugin/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_robot_state_rviz_plugin)
add_library(${MOVEIT_LIB_NAME}_core SHARED
  src/robot_state_display.cpp
  include/moveit/robot_state_rviz_plugin/robot_state_display.h)
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}_core
    moveit_rviz_plugin_render_tools
)
ament_target_dependencies(${MOVEIT_LIB_NAME}_core
    rclcpp
    rviz2
    moveit_ros_planning
    moveit_msgs
    pluginlib
    Boost
    rviz_ogre_vendor
)
target_include_directories(${MOVEIT_LIB_NAME}_core PRIVATE "${OGRE_PREFIX_DIR}/include")

add_library(${MOVEIT_LIB_NAME} SHARED src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core)
ament_target_dependencies(${MOVEIT_LIB_NAME}
    rclcpp
    pluginlib
    Boost
    rviz_ogre_vendor
)
target_include_directories(${MOVEIT_LIB_NAME} PRIVATE "${OGRE_PREFIX_DIR}/include")

install(DIRECTORY include/ DESTINATION include)

=== rviz_plugin_render_tools/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_rviz_plugin_render_tools)

set(HEADERS
  include/moveit/rviz_plugin_render_tools/octomap_render.h
  include/moveit/rviz_plugin_render_tools/planning_link_updater.h
  include/moveit/rviz_plugin_render_tools/planning_scene_render.h
  include/moveit/rviz_plugin_render_tools/render_shapes.h
  include/moveit/rviz_plugin_render_tools/robot_state_visualization.h
  include/moveit/rviz_plugin_render_tools/trajectory_visualization.h
  include/moveit/rviz_plugin_render_tools/trajectory_panel.h
  include/ogre_helpers/mesh_shape.hpp
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_library(${MOVEIT_LIB_NAME} SHARED
  src/render_shapes.cpp
  src/robot_state_visualization.cpp
  src/planning_scene_render.cpp
  src/planning_link_updater.cpp
  src/octomap_render.cpp
  src/trajectory_visualization.cpp
  src/trajectory_panel.cpp
  src/mesh_shape.cpp
  ${HEADERS}
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${MOVEIT_LIB_NAME}
    Qt5::Widgets
)

ament_target_dependencies(${MOVEIT_LIB_NAME}
    rclcpp
    moveit_core
    Boost
    octomap_msgs
    rviz_ogre_vendor
    rviz_common
    rviz_default_plugins
)
target_include_directories(${MOVEIT_LIB_NAME} PRIVATE "${OGRE_PREFIX_DIR}/include")

install(DIRECTORY include/ DESTINATION include)

=== trajectory_rviz_plugin/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_trajectory_rviz_plugin)

# Header files that need Qt Moc pre-processing for use with Qt signals, etc:
set(HEADERS
  include/moveit/trajectory_rviz_plugin/trajectory_display.h
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# Trajectory Display
add_library(${MOVEIT_LIB_NAME}_core SHARED
  src/trajectory_display.cpp
  ${HEADERS}
)
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}_core
  moveit_rviz_plugin_render_tools
  moveit_planning_scene_rviz_plugin_core
  rviz_ogre_vendor::OgreMain
)

ament_target_dependencies(${MOVEIT_LIB_NAME}_core
    rclcpp
    rviz2
    moveit_msgs
    pluginlib
    Boost
    rviz_ogre_vendor
)
target_include_directories(${MOVEIT_LIB_NAME}_core PRIVATE "${OGRE_PREFIX_DIR}/include")

# Plugin Initializer
add_library(${MOVEIT_LIB_NAME} SHARED src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core)
ament_target_dependencies(${MOVEIT_LIB_NAME}
    rclcpp
    pluginlib
    Boost
    rviz_ogre_vendor
)
target_include_directories(${MOVEIT_LIB_NAME} PRIVATE "${OGRE_PREFIX_DIR}/include")

install(DIRECTORY include/ DESTINATION include)

=== debian/changelog ===
ros-foxy-moveit-ros-visualization (2.2.3-1focal) focal; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Fri, 07 Jan 2022 07:00:00 -0000

ros-foxy-moveit-ros-visualization (2.2.2-1focal) focal; urgency=high

  * Add getSharedRobotModelLoader to fix race condition when having multiple displays for the same node (#525 <https://github.com/ros-planning/moveit2/issues/525>)
  * common_objects: getSharedRobotModelLoader fix deadlock (#734 <https://github.com/ros-planning/moveit2/issues/734>)
  * Fixes for Windows (#530 <https://github.com/ros-planning/moveit2/issues/530>)
  * Contributors: Akash, Lior Lustgarten, Tyler Weaver, Vatan Aksoy Tezer, Henning Kayser, Jorge Nicho, Nisala Kalupahana, Jafar Abdi

 -- Jon Binney <jon.binney@gmail.com>  Tue, 16 Nov 2021 07:00:00 -0000

ros-foxy-moveit-ros-visualization (2.2.1-1focal) focal; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Mon, 12 Jul 2021 06:00:00 -0000

ros-foxy-moveit-ros-visualization (2.2.0-1focal) focal; urgency=high

  * Declare warehouse params in rviz plugin (#513 <https://github.com/ros-planning/moveit2/issues/513>)
  * [sync] MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
    * CI: Use compiler flag --pedantic (#2691 <https://github.com/ros-planning/moveit/issues/2691>)
    * Runtime fixes to PlanningSceneDisplay, MotionPlanningDisplay (#2618 <https://github.com/ros-planning/moveit/issues/2618>),(#2588 <https://github.com/ros-planning/moveit2/issues/2588>)
    * Support multiple planning pipelines with MoveGroup via MoveItCpp (#2127 <https://github.com/ros-planning/moveit/issues/2127>)Allow selecting planning pipeline in RViz MotionPlanningDisplay
  * Contributors: Bjar Ne, Henning Kayser, JafarAbdi, Michael Görner, Robert Haschke, Tyler Weaver

 -- Jon Binney <jon.binney@gmail.com>  Wed, 30 Jun 2021 06:00:00 -0000

ros-foxy-moveit-ros-visualization (2.1.4-1focal) focal; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Mon, 31 May 2021 06:00:00 -0000

ros-foxy-moveit-ros-visualization (2.1.3-1focal) focal; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sat, 22 May 2021 06:00:00 -0000

ros-foxy-moveit-ros-visualization (2.1.2-1focal) focal; urgency=high

  * Fix robot_model & moveit_ros_visualization dependencies (#421 <https://github.com/ros-planning/moveit2/issues/421>)
  * Remove move_group namespace from MotionPlanning display (#420 <https://github.com/ros-planning/moveit2/issues/420>)
  * Contributors: Jafar Abdi, Vatan Aksoy Tezer

 -- Jon Binney <jon.binney@gmail.com>  Tue, 20 Apr 2021 06:00:00 -0000

ros-foxy-moveit-ros-visualization (2.1.1-1focal) focal; urgency=high

  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * Add a private node to the interactive marker display (#342 <https://github.com/ros-planning/moveit2/issues/342>)
  * Sync main branch with MoveIt 1 from previous head https://github.com/ros-planning/moveit/commit/0247ed0027ca9d7f1a7f066e62c80c9ce5dbbb5e up to https://github.com/ros-planning/moveit/commit/74b3e30db2e8683ac17b339cc124675ae52a5114
  * [fix] export cmake likbrary install (#339 <https://github.com/ros-planning/moveit2/issues/339>)
  * MTC compatibility fixes (#323 <https://github.com/ros-planning/moveit2/issues/323>)
  * Remove redundant exports
  * moveit_ros_visualization: export libraries and include directory
  * Catch exceptions during RobotModel loading in rviz (#2468 <https://github.com/ros-planning/moveit2/issues/2468>)
  * Fix repo URLs in package.xml files
  * Contributors: Henning Kayser, Jafar Abdi, Simon Schmeisser, Tyler Weaver

 -- Jon Binney <jon.binney@gmail.com>  Mon, 12 Apr 2021 06:00:00 -0000

ros-foxy-moveit-ros-visualization (2.1.0-1focal) focal; urgency=high

  * [fix] Interactive markers not visible in motion planning plugin (#299 <https://github.com/ros-planning/moveit2/issues/299>)
  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * [maint] Compilation fixes for macOS (#271 <https://github.com/ros-planning/moveit2/issues/271>)
  * [ros2-migration] Port moveit_ros_warehouse to ROS 2 (#273 <https://github.com/ros-planning/moveit2/issues/273>)
  * [ros2-migration] Port trajectory_rviz_plugin to ROS 2 (#201 <https://github.com/ros-planning/moveit2/issues/201>)
  * Contributors: Henning Kayser, Jafar Abdi, Lior Lustgarten, Mark Moll, Yu Yan, Edwin Fan

 -- Jon Binney <jon.binney@gmail.com>  Mon, 23 Nov 2020 07:00:00 -0000

ros-foxy-moveit-ros-visualization (2.0.0-1focal) focal; urgency=high

  * [fix] moveit_ros_visualization fixes (#168 <https://github.com/ros-planning/moveit2/issues/168>)
    * robot_state_display: Fix empty robot description field
    * planning scene plugin: Fix destroySceneNode
  * [fix] Fix moveit_ros_visualization (#167 <https://github.com/ros-planning/moveit2/issues/167>)
  * [port] Port moveit ros visualization to ROS 2 (#160 <https://github.com/ros-planning/moveit2/issues/160>)
  * [port] Port rdf_loader to ROS2 (#104 <https://github.com/ros-planning/moveit2/issues/104>)
  * Contributors: Henning Kayser, Jafar Abdi

 -- Jon Binney <jon.binney@gmail.com>  Mon, 17 Feb 2020 07:00:00 -0000

ros-foxy-moveit-ros-visualization (1.1.1-1focal) focal; urgency=high

  * [feature] Clean up Rviz Motion Planning plugin, add tooltips (#2310 <https://github.com/ros-planning/moveit/issues/2310>)
  * [fix]     "Clear Octomap" button, disable when no octomap is published (#2320 <https://github.com/ros-planning/moveit/issues/2320>)
  * [fix]     clang-tidy warning (#2334 <https://github.com/ros-planning/moveit/issues/2334>)
  * [fix]     python3 issues (#2323 <https://github.com/ros-planning/moveit/issues/2323>)


=== debian/control ===
Source: ros-foxy-moveit-ros-visualization
Section: misc
Priority: optional
Maintainer: Jon Binney <jon.binney@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libogre-1.9-dev, libqt5opengl5-dev, pkg-config, qtbase5-dev, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-class-loader, ros-foxy-geometric-shapes, ros-foxy-interactive-markers, ros-foxy-moveit-common, ros-foxy-moveit-ros-planning-interface, ros-foxy-moveit-ros-robot-interaction, ros-foxy-moveit-ros-warehouse, ros-foxy-object-recognition-msgs, ros-foxy-pluginlib (>= 1.11.2), ros-foxy-rclcpp, ros-foxy-rclpy, ros-foxy-rviz2, ros-foxy-tf2-eigen, ros-foxy-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-foxy-moveit-ros-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-geometric-shapes, ros-foxy-interactive-markers, ros-foxy-moveit-ros-planning-interface, ros-foxy-moveit-ros-robot-interaction, ros-foxy-moveit-ros-warehouse, ros-foxy-object-recognition-msgs, ros-foxy-pluginlib (>= 1.11.2), ros-foxy-rclcpp, ros-foxy-rclpy, ros-foxy-rviz2, ros-foxy-tf2-eigen, ros-foxy-ros-workspace
Description: Components of MoveIt that offer visualization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-moveit-ros-visualization//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
